apiVersion: metallb.io/v1beta1
kind: BGPAdvertisement
metadata:
  name: empty
  namespace: metallb-system
---
apiVersion: metallb.io/v1beta1
kind: IPAddressPool
metadata:
  name: bgp-test
  namespace: metallb-system
spec:
  addresses:
  - 192.168.10.0/24
---
apiVersion: metallb.io/v1beta2
kind: BGPPeer
metadata:
  name: ebgp-multi-hop0
  namespace: metallb-system
spec:
  ebgpMultiHop: true
  holdTime: 3m0s
  keepaliveTime: 0s
  myASN: 64512
  password: ebgp-test
  passwordSecret: {}
  peerASN: 4200000000
  peerAddress: 172.30.0.2
  peerPort: 180
---
apiVersion: metallb.io/v1beta2
kind: BGPPeer
metadata:
  name: ebgp-single-hop0
  namespace: metallb-system
spec:
  holdTime: 3s
  keepaliveTime: 0s
  myASN: 64512
  passwordSecret: {}
  peerASN: 4200000000
  peerAddress: 172.18.0.5
  peerPort: 179
---
apiVersion: metallb.io/v1beta2
kind: BGPPeer
metadata:
  name: ibgp-multi-hop0
  namespace: metallb-system
spec:
  holdTime: 6m0s
  keepaliveTime: 0s
  myASN: 64512
  password: ibgp-test
  passwordSecret: {}
  peerASN: 64512
  peerAddress: 172.30.0.3
  peerPort: 180
---
apiVersion: metallb.io/v1beta2
kind: BGPPeer
metadata:
  name: ibgp-single-hop0
  namespace: metallb-system
spec:
  holdTime: 9m0s
  keepaliveTime: 0s
  myASN: 64512
  password: ibgp-test
  passwordSecret: {}
  peerASN: 64512
  peerAddress: 172.18.0.6
  peerPort: 179
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx
spec:
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - name: nginx
        image: nginx:1
        ports:
        - name: http
          containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  name: nginx
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: nginx1
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: nginx2
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: nginx3
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: nginx4
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: nginx6
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
---
apiVersion: v1
kind: Service
metadata:
  name: nginx6
spec:
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 80
  selector:
    app: nginx
  type: LoadBalancer
